INCIDENTS
List Incidents
List incidents built from related threats
GET
/
v1
/
incidents
List incidents
curl --request GET \
--url https://api.intrace.ai/v1/incidents \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.intrace.ai/v1/incidents"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.intrace.ai/v1/incidents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"incidents": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"threat_links": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"threat_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"added_at": "2023-11-07T05:31:56Z",
"threat": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"severity": "<string>",
"threat_type": "<string>",
"location": "<string>",
"observed_at": "<string>",
"coordinates": {
"lat": 123,
"lng": 123
}
}
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"resolved_at": "2023-11-07T05:31:56Z"
}
],
"total": 123
}Incidents group related threats into a coherent operational story.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
status | string | No | Filter by incident status |
scope | string | No | Usually investigation or aggregate |
asset_id | string[] | No | Filter incidents that include threats affecting these assets |
limit | integer | No | Max items |
offset | integer | No | Row offset |
Response
{
"incidents": [
{
"id": "309b7b4d-fbf0-4626-a512-d976ef04b94c",
"title": "Sustained unrest around Lagos HQ",
"status": "open",
"scope": "aggregate",
"threatLinks": [
{
"id": "5cae0d66-62dd-4940-8a27-4446538bf2f5",
"threatId": "4f5d1cc9-d4cc-49a1-a3fc-5ec93d674bc8"
}
],
"createdAt": "2026-04-18T09:00:00Z",
"updatedAt": "2026-04-18T11:20:00Z"
}
],
"total": 1
}
Authorizations
Query Parameters
Available options:
open, closed, resolved Available options:
investigation, aggregate Required range:
1 <= x <= 5000Required range:
x >= 0⌘I
List incidents
